$primary: #377599;

.nav-link {
    color:#15649C !important;
}

.nav-link:hover {
    color:#548EFB !important;
}

.td-page-meta__lastmod { display: none; }
.td-page-meta__view { display: none; }
.td-page-meta__edit { display: none; }
.td-page-meta__child { display: none; }
.td-page-meta__issue { display: none; }
.td-page-meta__project-issue { display: none; }

.entry a {
    color: #2E86C4 !important;
    text-decoration: none !important;
}

.entry a:hover {
    color: #15649C !important;
}

.demo-cover {
    color:black;
}

.td-navbar {
    background-color: white !important;
    border-bottom: solid 1px #DEE2E5;
    /*position: relative !important;*/
}

.td-navbar-cover {
    background-color: white !important;
}

a {
    color: #3365C2 !important;
}

a:hover {
    color: #548EFB !important;
}

a.td-sidebar-link__section, a.td-sidebar-link, .nav-link span, a.nav-link.dropdown-toggle {
    color: #2B426D !important;
}

a.td-sidebar-link__section:hover, a.td-sidebar-link:hover, .nav-link span:hover, a.nav-link.dropdown-toggle:hover {
    color: #2E86C4 !important;
}

a.btn-primary {
    color: white !important;
}

a.btn-secondary {
    color: black !important;
}

.navbar-brand__name {
    color: #2B426D !important;
}

.td-navbar .navbar-brand svg {
    margin: 0 !important;
    width: 60px !important;
}

.td-navbar-cover .nav-link {
    text-shadow: none !important;
}

.footer {
    background-color: #403f4c;
    color: white;
    height: 80px !important;
    align-items: center !important;
}

.td-footer__authors a {
    color: white !important;
}

.td-footer__authors a:hover {
    color: grey !important;
}

h1 {
    font-size: 2rem !important;
}

h2 {
    font-size: 1.5rem !important;
    margin-top: 3rem !important;
    padding-bottom: 0.5rem;
    border-bottom: solid 1px #cdcdcd;
    font-weight: 600;
}

.scroll-down-button {
    color:rgb(183, 183, 183) !important;
}

a.scroll-down-button:hover {
    color: #367699 !important;
}

.fade-in-section {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1.5s ease-out, transform 1s ease-out;
}

.fade-in-section.is-visible {
opacity: 1;
transform: translateY(0);
}

.footer-link {
margin-left: 10px;
color:white !important;
}

.footer-link:hover {
color: blue;
}

.profilte_picture {
    width: 150px;
    height: 149px;
    margin: 0 auto;
    background-color: #ddd;
    border-radius: 50%;
    overflow: hidden;
}

.contributor-title {
    font-size: 24px;
    color: #333;
    margin-top: 15px;
}

.linkedin-icon {
    font-size: 30px;
    color: #0077B5;
    margin-top: 10px;
}

.image-comparison-container {
    position: relative;
    width: 100%;
    height: auto;
    overflow: hidden;
    aspect-ratio: 16 / 9;
}

.image-comparison-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.image-comparison-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: clip-path 0.3s ease, opacity 0.3s ease;
}

.image-comparison-image.hidden {
    opacity: 0;
    pointer-events: none;
}

.image-comparison-top {
    z-index: 2;
}

.image-comparison-bottom {
    z-index: 1;
}

.image-comparison-slider {
    position: absolute;
    top: 0;
    left: 50%;
    width: 6px;
    height: 100%;
    background-color: #EE5D45;
    cursor: ew-resize;
    z-index: 3;
    transition: left 0.2s ease;
}

.slider-handle {
    width: 16px;
    height: 16px;
    background-color: #EE5D45;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    animation: blink 1s infinite;
}

@keyframes blink {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0.5;
    }
}

.button-group {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.toggle-button {
  background-color: gray;
  color: white;
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  font-size: 18px;
  transition: background-color 0.3s ease;
  flex: 1;
  text-align: center;
  width: 150px;
}

.toggle-button:not(:last-child) {
  border-right: 1px solid white;
}

.toggle-button.active {
  background-color: #2874A6;
}

.image-comparison-container,
.image-comparison-slider {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.responsive-box {
    border-radius: 10px;
    padding: 10px;
    position: relative;
    margin-top: 30px;
}

.responsive-box i {
    font-size: 20px;
    position: absolute;
    top: -5px;
    left: -5px;
}

.green-box {
    background-color: #dff1df;
}

.green-box i {
    color: #047206;
}

.blue-box {
    background-color: #e5f4fb;
}

.blue-box i {
    color: #4283c4;
}

.grey-box {
    background-color: #F0F0F0;
}

.grey-box i {
    color: #6E6E6E
}

.red-box {
    background-color: #f7e9e9;
}

.red-box i {
    color: #fc3e3e;
}

.responsive-box .text-content {
    padding-left: 20px;
}

.responsive-box p {
    margin: 0;
}

@media (max-width: 768px) {
    .responsive-box {
      width: 100%;
      max-width: 100%;
    }
}

.responsive-image {
    display: block;
    margin: 30px auto;
    max-width: 100%;
  }

  .image-grey-border {
    border: solid 1px #ccc;
    padding: 10px;
  }

  a.demo-link:hover {
    background-color: #0f221a !important;
  }

  #d4g-table {
    width: 90%;
    max-width: 1000px;
    border-collapse: collapse;
    margin: 20px auto 0 auto;
    background-color: white;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  }
  
  #d4g-table th, #d4g-table td {
    text-align: left;
    padding: 15px 20px;
  }
  
  #d4g-table th {
    background-color: #367699;
    color: white;
    font-size: 16px;
    font-weight: bold;
  }

  #d4g-table .linkedin-col {
    text-align: center;
  }
  
  #d4g-table tr:nth-child(even) {
    background-color: #f9f9f9;
  }
  
  #d4g-table tr:hover {
    background-color: #36769922;
  }
  
  #d4g-table td a {
    color: #1E88E5;
    text-decoration: none;
    font-size: 14px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #d4g-table td a:hover {
    text-decoration: underline;
  }
  
#d4g-table td {
    font-size: 14px;
    color: #333;
}

.td-max-width-on-larger-screens, .td-card.card, .td-card-group.card-group, .td-content > .tab-content .tab-pane, .td-content .footnotes, .td-content > .alert, .td-content > .highlight, .td-content > .lead, .td-content > .td-table, .td-box .td-content > table, .td-content > table, .td-content > blockquote, .td-content > dl dd, .td-content > h1, .td-content > .h1, .td-content > h2, .td-content > .h2, .td-content > ol, .td-content > p, .td-content > pre, .td-content > ul {
    text-align: justify;
    max-width: 100% !important;
}

.td-content {
    padding-right: 3em;
}

@media (max-width: 768px){
    .td-content {
        padding-right: 0;
    }
}

h3 {
    font-size: 1.3rem !important;
    padding-bottom: 10px;
}